MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000923VCMIMechanics - Otherpublic2012-04-09 12:312016-11-11 08:23
Reporterq4a 
Assigned ToAVS 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version0.88 
Target VersionFixed in Version0.98b 
Summary0000923: -3 morale from Warrior's Tomb restored after save+load
DescriptionTested on r2621. Bug happens on attached tested map and all other.
Steps To ReproduceStart attached map.
Visit Warrior's Tomb.
Check morale: you got -3 by visiting Warrior's Tomb.
Win the battle against 1 Gnoll.
Check morale: there is no -3 morale.
Save game.
Load game.
Check morale: you have -3 morale.. =(
TagsNo tags attached.
Attached Files? file icon t01.h3m [^] (1,537 bytes) 2012-04-09 12:31

- Relationships
related to 0000579closedSXX 'Not Visited' Idols of Fortune show as 'Visited' after loading a savegame 
has duplicate 0001798closedSXX Negative morale modifier doesn't disappear after battle 

-  Notes
(0002366)
Tow (developer)
2012-04-14 07:26

Ugh... that's huge issue, affecting practically all bonuses removed upon battle/day/week. Good catch. :)
(0005639)
SXX (administrator)
2015-03-12 17:08

This one is still actual in latest git.
(0005702)
AVS (administrator)
2015-04-11 03:20

should be fixed in https://github.com/vcmi/vcmi/commit/6cf82ceab59f6953b6a98121f72c0d03808f629e [^]
(0005704)
SXX (administrator)
2015-04-11 03:37

Checked this one. @AVS fix working.

- Issue History
Date Modified Username Field Change
2012-04-09 12:31 q4a New Issue
2012-04-09 12:31 q4a File Added: t01.h3m
2012-04-14 07:26 Tow Note Added: 0002366
2012-04-14 07:26 Tow Assigned To => Tow
2012-04-14 07:26 Tow Status new => confirmed
2012-04-18 09:45 Warmonger Relationship added related to 0000579
2015-03-12 17:08 SXX Note Added: 0005639
2015-03-12 17:12 SXX Relationship added has duplicate 0001798
2015-04-11 03:11 AVS Assigned To Tow => AVS
2015-04-11 03:11 AVS Status confirmed => assigned
2015-04-11 03:20 AVS Note Added: 0005702
2015-04-11 03:20 AVS Status assigned => resolved
2015-04-11 03:20 AVS Fixed in Version => 0.98b
2015-04-11 03:20 AVS Resolution open => fixed
2015-04-11 03:37 SXX Note Added: 0005704
2016-11-11 08:23 SXX Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean